# Copyright 2019 Atalaya Tech, Inc.

# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at

# http://www.apache.org/licenses/LICENSE-2.0

# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

from fasko.adapters.annotated_image_input import AnnotatedImageInput
from fasko.adapters.base_input import BaseInputAdapter
from fasko.adapters.base_output import BaseOutputAdapter
from fasko.adapters.clipper_input import (
    ClipperBytesInput,
    ClipperDoublesInput,
    ClipperFloatsInput,
    ClipperIntsInput,
    ClipperStringsInput,
)
from fasko.adapters.dataframe_input import DataframeInput
from fasko.adapters.dataframe_output import DataframeOutput
from fasko.adapters.default_output import DefaultOutput
from fasko.adapters.file_input import FileInput
from fasko.adapters.image_input import ImageInput
from fasko.adapters.json_input import JsonInput
from fasko.adapters.json_output import JsonOutput
from fasko.adapters.multi_file_input import MultiFileInput
from fasko.adapters.multi_image_input import MultiImageInput
from fasko.adapters.string_input import StringInput
from fasko.adapters.tensorflow_tensor_input import TfTensorInput
from fasko.adapters.tensorflow_tensor_output import TfTensorOutput

__all__ = [
    "BaseInputAdapter",
    'BaseOutputAdapter',
    "DataframeInput",
    'DataframeOutput',
    "TfTensorInput",
    'TfTensorOutput',
    "JsonInput",
    "StringInput",
    'JsonOutput',
    "ImageInput",
    "MultiImageInput",
    "FileInput",
    "MultiFileInput",
    "AnnotatedImageInput",
    "ClipperBytesInput",
    "ClipperDoublesInput",
    "ClipperFloatsInput",
    "ClipperIntsInput",
    "ClipperStringsInput",
    'DefaultOutput',
]
