import logging

logger = logging.getLogger(__name__)
logger.warning(
    """\
Importing from "fasko.artifact.*" has been deprecated. Instead, use\
`fasko.frameworks.*` and `fasko.service.*`. e.g.:, \
`from fasko.frameworks.sklearn import SklearnModelArtifact`, \
`from fasko.service.artifacts import FaskoServiceArtifact`, \
`from fasko.service.artifacts.common import PickleArtifact`"""
)

from fasko.service.artifacts import (
    FaskoServiceArtifact,
    ArtifactCollection,
)

from fasko.service.artifacts.common import TextFileArtifact
from fasko.service.artifacts.common import JSONArtifact
from fasko.service.artifacts.common import PickleArtifact

from fasko.frameworks.coreml import CoreMLModelArtifact
from fasko.frameworks.detectron import DetectronModelArtifact
from fasko.frameworks.evalml import EvalMLModelArtifact  # noqa: E402
from fasko.frameworks.fastai import (  # noqa: E402
    FastaiModelArtifact as Fastai2ModelArtifact,
)  # noqa: E402
from fasko.frameworks.fastai import (  # noqa: E402
    Fastai1ModelArtifact as FastaiModelArtifact,
)  # noqa: E402
from fasko.frameworks.fasttext import FasttextModelArtifact
from fasko.frameworks.h2o import H2oModelArtifact
from fasko.frameworks.keras import KerasModelArtifact
from fasko.frameworks.lightgbm import LightGBMModelArtifact
from fasko.frameworks.onnx import OnnxModelArtifact
from fasko.frameworks.onnxmlir import OnnxMlirModelArtifact
from fasko.frameworks.pytorch import (  # noqa: E402
    PytorchModelArtifact,
    PytorchLightningModelArtifact,
)  # noqa: E402
from fasko.frameworks.sklearn import SklearnModelArtifact
from fasko.frameworks.spacy import SpacyModelArtifact
from fasko.frameworks.tensorflow import TensorflowSavedModelArtifact
from fasko.frameworks.xgboost import XgboostModelArtifact
from fasko.frameworks.paddle import PaddlePaddleModelArtifact  # noqa: E402
from fasko.frameworks.easyocr import EasyOCRArtifact  # noqa: E402

__all__ = [
    "ArtifactCollection",
    "FaskoServiceArtifact",
    "CoreMLModelArtifact",
    "DetectronModelArtifact",
    "EvalMLModelArtifact",
    "Fastai2ModelArtifact",
    "FastaiModelArtifact",
    "FasttextModelArtifact",
    "H2oModelArtifact",
    "JSONArtifact",
    "KerasModelArtifact",
    "LightGBMModelArtifact",
    "OnnxModelArtifact",
    "OnnxMlirModelArtifact",
    "PickleArtifact",
    "PytorchModelArtifact",
    "SklearnModelArtifact",
    "SpacyModelArtifact",
    "TensorflowSavedModelArtifact",
    "TextFileArtifact",
    "XgboostModelArtifact",
    "PytorchLightningModelArtifact",
    "PaddlePaddleModelArtifact",
    "EasyOCRArtifact",
]
