# Generated by the gRPC Python protocol compiler plugin. DO NOT EDIT!
"""Client and server classes corresponding to protobuf-defined services."""
import grpc

import fasko.posto.proto.deployment_pb2 as deployment__pb2
from google.protobuf import empty_pb2 as google_dot_protobuf_dot_empty__pb2
import fasko.posto.proto.posto_service_pb2 as posto__service__pb2
import fasko.posto.proto.repository_pb2 as repository__pb2


class PostoStub(object):
    """Posto RPC Server

    A stateful service that provides a complete Fasko model management
    and model serving/deployment workflow

    It provides two sets of APIs:
    Fasko Repository: Manages saved Fasko files, and making them available
    for serving in production environments
    Serving Deployment: Deploys saved Fasko to a varity of different cloud
    platforms, track deploym//ent status, set up logging
    monitoring for your model serving workloads, and
    """

    def __init__(self, channel):
        """Constructor.

        Args:
            channel: A grpc.Channel.
        """
        self.HealthCheck = channel.unary_unary(
                '/fasko.Posto/HealthCheck',
                request_serializer=google_dot_protobuf_dot_empty__pb2.Empty.SerializeToString,
                response_deserializer=posto__service__pb2.HealthCheckResponse.FromString,
                )
        self.GetPostoServiceVersion = channel.unary_unary(
                '/fasko.Posto/GetPostoServiceVersion',
                request_serializer=google_dot_protobuf_dot_empty__pb2.Empty.SerializeToString,
                response_deserializer=posto__service__pb2.GetPostoServiceVersionResponse.FromString,
                )
        self.ApplyDeployment = channel.unary_unary(
                '/fasko.Posto/ApplyDeployment',
                request_serializer=deployment__pb2.ApplyDeploymentRequest.SerializeToString,
                response_deserializer=deployment__pb2.ApplyDeploymentResponse.FromString,
                )
        self.DeleteDeployment = channel.unary_unary(
                '/fasko.Posto/DeleteDeployment',
                request_serializer=deployment__pb2.DeleteDeploymentRequest.SerializeToString,
                response_deserializer=deployment__pb2.DeleteDeploymentResponse.FromString,
                )
        self.GetDeployment = channel.unary_unary(
                '/fasko.Posto/GetDeployment',
                request_serializer=deployment__pb2.GetDeploymentRequest.SerializeToString,
                response_deserializer=deployment__pb2.GetDeploymentResponse.FromString,
                )
        self.DescribeDeployment = channel.unary_unary(
                '/fasko.Posto/DescribeDeployment',
                request_serializer=deployment__pb2.DescribeDeploymentRequest.SerializeToString,
                response_deserializer=deployment__pb2.DescribeDeploymentResponse.FromString,
                )
        self.ListDeployments = channel.unary_unary(
                '/fasko.Posto/ListDeployments',
                request_serializer=deployment__pb2.ListDeploymentsRequest.SerializeToString,
                response_deserializer=deployment__pb2.ListDeploymentsResponse.FromString,
                )
        self.AddFasko = channel.unary_unary(
                '/fasko.Posto/AddFasko',
                request_serializer=repository__pb2.AddFaskoRequest.SerializeToString,
                response_deserializer=repository__pb2.AddFaskoResponse.FromString,
                )
        self.UpdateFasko = channel.unary_unary(
                '/fasko.Posto/UpdateFasko',
                request_serializer=repository__pb2.UpdateFaskoRequest.SerializeToString,
                response_deserializer=repository__pb2.UpdateFaskoResponse.FromString,
                )
        self.GetFasko = channel.unary_unary(
                '/fasko.Posto/GetFasko',
                request_serializer=repository__pb2.GetFaskoRequest.SerializeToString,
                response_deserializer=repository__pb2.GetFaskoResponse.FromString,
                )
        self.DangerouslyDeleteFasko = channel.unary_unary(
                '/fasko.Posto/DangerouslyDeleteFasko',
                request_serializer=repository__pb2.DangerouslyDeleteFaskoRequest.SerializeToString,
                response_deserializer=repository__pb2.DangerouslyDeleteFaskoResponse.FromString,
                )
        self.ListFasko = channel.unary_unary(
                '/fasko.Posto/ListFasko',
                request_serializer=repository__pb2.ListFaskoRequest.SerializeToString,
                response_deserializer=repository__pb2.ListFaskoResponse.FromString,
                )
        self.ContainerizeFasko = channel.unary_unary(
                '/fasko.Posto/ContainerizeFasko',
                request_serializer=repository__pb2.ContainerizeFaskoRequest.SerializeToString,
                response_deserializer=repository__pb2.ContainerizeFaskoResponse.FromString,
                )
        self.UploadFasko = channel.stream_unary(
                '/fasko.Posto/UploadFasko',
                request_serializer=repository__pb2.UploadFaskoRequest.SerializeToString,
                response_deserializer=repository__pb2.UploadFaskoResponse.FromString,
                )
        self.DownloadFasko = channel.unary_stream(
                '/fasko.Posto/DownloadFasko',
                request_serializer=repository__pb2.DownloadFaskoRequest.SerializeToString,
                response_deserializer=repository__pb2.DownloadFaskoResponse.FromString,
                )


class PostoServicer(object):
    """Posto RPC Server

    A stateful service that provides a complete Fasko model management
    and model serving/deployment workflow

    It provides two sets of APIs:
    Fasko Repository: Manages saved Fasko files, and making them available
    for serving in production environments
    Serving Deployment: Deploys saved Fasko to a varity of different cloud
    platforms, track deploym//ent status, set up logging
    monitoring for your model serving workloads, and
    """

    def HealthCheck(self, request, context):
        """Health check ping endpoint
        """
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')

    def GetPostoServiceVersion(self, request, context):
        """Return current service version information
        """
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')

    def ApplyDeployment(self, request, context):
        """Create new or update existing deployment
        """
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')

    def DeleteDeployment(self, request, context):
        """Delete existing deployment
        """
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')

    def GetDeployment(self, request, context):
        """Get deployment specification (desired state)
        """
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')

    def DescribeDeployment(self, request, context):
        """Get deployment status (current state)
        """
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')

    def ListDeployments(self, request, context):
        """List active deployments, by default this will return all active deployments
        """
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')

    def AddFasko(self, request, context):
        """Add new saved Fasko to repository by providing the Fasko name and version
        this will return an upload address that allows client to upload the fasko files
        """
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')

    def UpdateFasko(self, request, context):
        """RPC for updating a previously added Fasko's information, including
        the FaskoService's Metadata(apis, env, artifacts etc) and the upload status.
        Posto server expects the client to use this RPC for notifying that, for a
        previously requested AddFasko call, what's the uploading progress and when the
        upload is completed
        """
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')

    def GetFasko(self, request, context):
        """Get a file path to the saved Fasko files, path must be accessible form client
        machine either through HTTP, FTP, etc
        """
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')

    def DangerouslyDeleteFasko(self, request, context):
        """Deleting the Fasko files that was added to this Posto server earlier, this may
        break existing deployments or create issues when doing deployment rollback
        """
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')

    def ListFasko(self, request, context):
        """Get a list of Fasko that are stored in current repository
        """
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')

    def ContainerizeFasko(self, request, context):
        """Create a container image from a Fasko
        """
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')

    def UploadFasko(self, request_iterator, context):
        """Missing associated documentation comment in .proto file."""
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')

    def DownloadFasko(self, request, context):
        """Missing associated documentation comment in .proto file."""
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')


def add_PostoServicer_to_server(servicer, server):
    rpc_method_handlers = {
            'HealthCheck': grpc.unary_unary_rpc_method_handler(
                    servicer.HealthCheck,
                    request_deserializer=google_dot_protobuf_dot_empty__pb2.Empty.FromString,
                    response_serializer=posto__service__pb2.HealthCheckResponse.SerializeToString,
            ),
            'GetPostoServiceVersion': grpc.unary_unary_rpc_method_handler(
                    servicer.GetPostoServiceVersion,
                    request_deserializer=google_dot_protobuf_dot_empty__pb2.Empty.FromString,
                    response_serializer=posto__service__pb2.GetPostoServiceVersionResponse.SerializeToString,
            ),
            'ApplyDeployment': grpc.unary_unary_rpc_method_handler(
                    servicer.ApplyDeployment,
                    request_deserializer=deployment__pb2.ApplyDeploymentRequest.FromString,
                    response_serializer=deployment__pb2.ApplyDeploymentResponse.SerializeToString,
            ),
            'DeleteDeployment': grpc.unary_unary_rpc_method_handler(
                    servicer.DeleteDeployment,
                    request_deserializer=deployment__pb2.DeleteDeploymentRequest.FromString,
                    response_serializer=deployment__pb2.DeleteDeploymentResponse.SerializeToString,
            ),
            'GetDeployment': grpc.unary_unary_rpc_method_handler(
                    servicer.GetDeployment,
                    request_deserializer=deployment__pb2.GetDeploymentRequest.FromString,
                    response_serializer=deployment__pb2.GetDeploymentResponse.SerializeToString,
            ),
            'DescribeDeployment': grpc.unary_unary_rpc_method_handler(
                    servicer.DescribeDeployment,
                    request_deserializer=deployment__pb2.DescribeDeploymentRequest.FromString,
                    response_serializer=deployment__pb2.DescribeDeploymentResponse.SerializeToString,
            ),
            'ListDeployments': grpc.unary_unary_rpc_method_handler(
                    servicer.ListDeployments,
                    request_deserializer=deployment__pb2.ListDeploymentsRequest.FromString,
                    response_serializer=deployment__pb2.ListDeploymentsResponse.SerializeToString,
            ),
            'AddFasko': grpc.unary_unary_rpc_method_handler(
                    servicer.AddFasko,
                    request_deserializer=repository__pb2.AddFaskoRequest.FromString,
                    response_serializer=repository__pb2.AddFaskoResponse.SerializeToString,
            ),
            'UpdateFasko': grpc.unary_unary_rpc_method_handler(
                    servicer.UpdateFasko,
                    request_deserializer=repository__pb2.UpdateFaskoRequest.FromString,
                    response_serializer=repository__pb2.UpdateFaskoResponse.SerializeToString,
            ),
            'GetFasko': grpc.unary_unary_rpc_method_handler(
                    servicer.GetFasko,
                    request_deserializer=repository__pb2.GetFaskoRequest.FromString,
                    response_serializer=repository__pb2.GetFaskoResponse.SerializeToString,
            ),
            'DangerouslyDeleteFasko': grpc.unary_unary_rpc_method_handler(
                    servicer.DangerouslyDeleteFasko,
                    request_deserializer=repository__pb2.DangerouslyDeleteFaskoRequest.FromString,
                    response_serializer=repository__pb2.DangerouslyDeleteFaskoResponse.SerializeToString,
            ),
            'ListFasko': grpc.unary_unary_rpc_method_handler(
                    servicer.ListFasko,
                    request_deserializer=repository__pb2.ListFaskoRequest.FromString,
                    response_serializer=repository__pb2.ListFaskoResponse.SerializeToString,
            ),
            'ContainerizeFasko': grpc.unary_unary_rpc_method_handler(
                    servicer.ContainerizeFasko,
                    request_deserializer=repository__pb2.ContainerizeFaskoRequest.FromString,
                    response_serializer=repository__pb2.ContainerizeFaskoResponse.SerializeToString,
            ),
            'UploadFasko': grpc.stream_unary_rpc_method_handler(
                    servicer.UploadFasko,
                    request_deserializer=repository__pb2.UploadFaskoRequest.FromString,
                    response_serializer=repository__pb2.UploadFaskoResponse.SerializeToString,
            ),
            'DownloadFasko': grpc.unary_stream_rpc_method_handler(
                    servicer.DownloadFasko,
                    request_deserializer=repository__pb2.DownloadFaskoRequest.FromString,
                    response_serializer=repository__pb2.DownloadFaskoResponse.SerializeToString,
            ),
    }
    generic_handler = grpc.method_handlers_generic_handler(
            'fasko.Posto', rpc_method_handlers)
    server.add_generic_rpc_handlers((generic_handler,))


 # This class is part of an EXPERIMENTAL API.
class Posto(object):
    """Posto RPC Server

    A stateful service that provides a complete Fasko model management
    and model serving/deployment workflow

    It provides two sets of APIs:
    Fasko Repository: Manages saved Fasko files, and making them available
    for serving in production environments
    Serving Deployment: Deploys saved Fasko to a varity of different cloud
    platforms, track deploym//ent status, set up logging
    monitoring for your model serving workloads, and
    """

    @staticmethod
    def HealthCheck(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/fasko.Posto/HealthCheck',
            google_dot_protobuf_dot_empty__pb2.Empty.SerializeToString,
            posto__service__pb2.HealthCheckResponse.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)

    @staticmethod
    def GetPostoServiceVersion(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/fasko.Posto/GetPostoServiceVersion',
            google_dot_protobuf_dot_empty__pb2.Empty.SerializeToString,
            posto__service__pb2.GetPostoServiceVersionResponse.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)

    @staticmethod
    def ApplyDeployment(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/fasko.Posto/ApplyDeployment',
            deployment__pb2.ApplyDeploymentRequest.SerializeToString,
            deployment__pb2.ApplyDeploymentResponse.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)

    @staticmethod
    def DeleteDeployment(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/fasko.Posto/DeleteDeployment',
            deployment__pb2.DeleteDeploymentRequest.SerializeToString,
            deployment__pb2.DeleteDeploymentResponse.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)

    @staticmethod
    def GetDeployment(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/fasko.Posto/GetDeployment',
            deployment__pb2.GetDeploymentRequest.SerializeToString,
            deployment__pb2.GetDeploymentResponse.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)

    @staticmethod
    def DescribeDeployment(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/fasko.Posto/DescribeDeployment',
            deployment__pb2.DescribeDeploymentRequest.SerializeToString,
            deployment__pb2.DescribeDeploymentResponse.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)

    @staticmethod
    def ListDeployments(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/fasko.Posto/ListDeployments',
            deployment__pb2.ListDeploymentsRequest.SerializeToString,
            deployment__pb2.ListDeploymentsResponse.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)

    @staticmethod
    def AddFasko(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/fasko.Posto/AddFasko',
            repository__pb2.AddFaskoRequest.SerializeToString,
            repository__pb2.AddFaskoResponse.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)

    @staticmethod
    def UpdateFasko(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/fasko.Posto/UpdateFasko',
            repository__pb2.UpdateFaskoRequest.SerializeToString,
            repository__pb2.UpdateFaskoResponse.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)

    @staticmethod
    def GetFasko(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/fasko.Posto/GetFasko',
            repository__pb2.GetFaskoRequest.SerializeToString,
            repository__pb2.GetFaskoResponse.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)

    @staticmethod
    def DangerouslyDeleteFasko(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/fasko.Posto/DangerouslyDeleteFasko',
            repository__pb2.DangerouslyDeleteFaskoRequest.SerializeToString,
            repository__pb2.DangerouslyDeleteFaskoResponse.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)

    @staticmethod
    def ListFasko(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/fasko.Posto/ListFasko',
            repository__pb2.ListFaskoRequest.SerializeToString,
            repository__pb2.ListFaskoResponse.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)

    @staticmethod
    def ContainerizeFasko(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/fasko.Posto/ContainerizeFasko',
            repository__pb2.ContainerizeFaskoRequest.SerializeToString,
            repository__pb2.ContainerizeFaskoResponse.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)

    @staticmethod
    def UploadFasko(request_iterator,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.stream_unary(request_iterator, target, '/fasko.Posto/UploadFasko',
            repository__pb2.UploadFaskoRequest.SerializeToString,
            repository__pb2.UploadFaskoResponse.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)

    @staticmethod
    def DownloadFasko(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_stream(request, target, '/fasko.Posto/DownloadFasko',
            repository__pb2.DownloadFaskoRequest.SerializeToString,
            repository__pb2.DownloadFaskoResponse.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)
